org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface VmResourceRef.Visitor<R>

Enclosing class:
  VmResourceRef

    public static interface VmResourceRef.Visitor<R>

A GoF Visitor interface for algebraic type `VmResourceRef`.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `visitRegExpBased(ScriptNameManipulator.ScriptNamePattern scriptNamePattern)`
`R` `visitResourceId(VmResourceId resourceId)`

### Method Detail

#### visitRegExpBased

    R visitRegExpBased(ScriptNameManipulator.ScriptNamePattern scriptNamePattern)

#### visitResourceId

    R visitResourceId(VmResourceId resourceId)